<?php
/**
 * This functions makes the theme compatible with WPML Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Catch Everest
 * @since Catch Everest Pro 2.0
 */

if ( ! function_exists( 'catcheverest_wpml_invalidcache' ) ) :
/**
 * Template for Clearing WPML Invalid Cache
 *
 * To override this in a child theme
 * simply create your own catcheverest_wpml_invalidcache(), and that function will be used instead.
 *
 * @since Catch Everest Pro 2.0
 */
function catcheverest_wpml_invalidcache() {
	delete_transient( 'catcheverest_post_sliders' );
	delete_transient( 'catcheverest_page_sliders' );
	delete_transient( 'catcheverest_category_sliders' );
	delete_transient( 'catcheverest_image_sliders' );
	delete_transient( 'catcheverest_homepage_featured_content' );
	delete_transient( 'catcheverest_homepage_headline' );
	delete_transient( 'catcheverest_footer_content_new' ); // Footer Content New

} // catcheverest_wpml_invalidcache
endif;

add_action( 'after_setup_theme', 'catcheverest_wpml_invalidcache' );
